Katello - Bug #5985

content_view_filters listing produce "undefined method filter_ids' for nil:NilClass" when called with
no arguments

05/29/2014 03:01 PM - Milan Zazrivec

Status: Closed
Priority: Normal
Assignee: Milan Zazrivec
Category: API
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102120 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/447
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102120

Description of problem: When listing :content_view_filters, but called with no/wrong
arguments, ISE is generated instead of proper error message.

How reproducible: always/deterministic

Steps to Reproduce:

1. create content-view

2. create filter

3.

bundle exec irb

require 'apipie-bindings'

api = ApipieBindings::APl.new({:uri....
api.resource(:content_view_filters).call(:index, {})

Actual results:
production.log:

Processing by Apipie::ApipiesController#apipie_checksum as JSON
Parameters: {"apipy"=>{}}
Rendered /opt/rh/rubyl93/root/usr/share/gems/gems/apipie-rails-0.1.2/app/views/apipie/apipie
s/apipie_checksum. json.erb (0.2ms)
Completed 200 OK in 2ms (Views: 1.9ms | ActiveRecord: 0.0ms)
Processing by Katello::Api::V2::ContentViewFiltersController#index as application/Jjson;version

Parameters: {"api_version"=>"v2", "content_view_filter"=>{}}

Expire fragment views/tabs_and_title_records-1 (0.1lms)

Authorized user admin (Admin User)

NoMethodError: undefined method "filter_ids' for nil:NilClass

/opt/rh/rubyl93/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/content_
view_filters_controller.rb:28:1in " index'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/implicit
_render.rb:4:in “send_action’

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/base.rb:167:
in “process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/renderin
g.rb:10:in "“process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1ib/abstract_controller/callbacks.rb
:18:in “block in process_action'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:5
60:in “block (3 levels) in run_937089204135300545__ process_action_ 1511122125132080161__callbacks'

/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:2
15:in “block in conditional_callback_around_9888"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1ib/active_support/callbacks.rb:3
26:in “around’
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:3
10:in "_callback_around_2792"'
/opt/rh/rubyl93/root /usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:2
14:in "_conditional_callback_around_9888"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:4
71:in “block (2 levels) 1in _run
_937089204135300545__process_action_ 1511122125132080161__callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:2
15:in “block in conditional_callback_around_9887'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in ‘clear_ thread'
/opt/rh/rubyl93/root /usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:2
14:in "_conditional_callback_around_9887"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:4
15:in “block in _run_937089204135300545__process_action_ 1511122125132080161__callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:2
15:in "block in conditional_callback_around_9886"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:3
26:1in “around'
/opt/rh/rubyl93/root /usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:3
10:in "_callback_around_ 13"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:2
14:in "_conditional_callback_around_9886"'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1ib/active_support/callbacks.rb:4
14:in "_run_937089204135300545__process_action__1511122125132080161_ _callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:4
05:in “_ _run_callback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport—-3.2.8/1lib/active_support/callbacks.rb:3
85:in ' _run_process_action_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:8
l:in “run_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb
:17:in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rescue.r
b:29:in ‘process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrume
ntation.rb:30:in "block in process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.
rb:123:in "block in instrument'

Expected results:

Message about required parameters or something like that.

Associated revisions

Revision 55b29a48 - 07/22/2014 05:55 PM - Partha Aji
Fixes #5985/bz1102120 - Marked content_view_id as required param
Content Vlew id is marked as required param in the docs

for the cv filters index call but nothing is enforcing that.
This commit handles that enforcement aspect

Revision b9fc441a - 07/24/2014 10:39 AM - Partha Aji
Merge pull request #4473 from parthaa/cv-required

Fixes #5985/bz1102120 - Marked content_view_id as required param

History

#1 - 06/05/2014 02:58 AM - Eric Helms
- Target version set to 45

- Triaged changed from No to Yes
#2 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#3 - 07/07/2014 07:45 AM - Eric Helms

- Target version changed from 48 to 49

#4 - 07/22/2014 05:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4473 added

#5 - 07/24/2014 11:01 AM - Partha Aji
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|55b29a489abbf1f430e04aad33a04bd87a394a1f.

#6 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
